#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 keys
version:              3.12.3
visibility:           public
id:                   keys-3.12.3-Dh0WBqBiql1IfL4v5nfziG
key:                  keys-3.12.3-Dh0WBqBiql1IfL4v5nfziG
license:              BSD-3-Clause
copyright:            Copyright (C) 2011-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/keys/
synopsis:             Keyed functors and containers
description:
    This package provides a bunch of ad hoc classes for accessing parts of a container.

    In practice this package is largely subsumed by the
    <https://hackage.haskell.org/package/lens lens package>,
    but it is maintained for now as it has much
    simpler dependencies.

category:             Data Structures, Containers
abi:                  c5863bf9d492ce826dd74c67ad595582
exposed:              True
exposed-modules:      Data.Key
import-dirs:          /usr/lib/ghc-9.0.2/site-local/keys-3.12.3
library-dirs:         /usr/lib/ghc-9.0.2/site-local/keys-3.12.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-keys
hs-libraries:         HSkeys-3.12.3-Dh0WBqBiql1IfL4v5nfziG
depends:
    array-0.5.4.0 base-4.15.1.0 comonad-5.0.8-HfmAOPlFNu29hdSY8Glwgr
    containers-0.6.4.1 free-5.1.10-L73LdTBopRCAa3XW0j2o7i
    hashable-1.4.1.0-DXpj0ho9mwSB6ue30MIccy
    semigroupoids-5.3.7-I1MZM1aoo7z1PBFuUX0Ukd
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR transformers-0.5.6.2
    transformers-compat-0.7.2-ZzSHjvD4flB2ChCq5TVbH
    unordered-containers-0.2.19.1-1oz2vTo8QZe9pPW8EMafVJ

haddock-interfaces:   /usr/share/doc/haskell-keys/html/keys.haddock
haddock-html:         /usr/share/doc/haskell-keys/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

